Web Audio Evaluation Tool - Bug #1607
comparitor should be comparator
2016-02-21 03:47 AM - Giulio Moro

Status: Resolved Start date: 2016-02-21
Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
| think there is a typo "comparitor” for "comparator”
$ grep -Rin comparitor *

interfaces/AB.css:40:div.comparitor-holder {
interfaces/AB.css:49:div.comparitor-selector {

interfaces/AB.css:66:div.comparitor-selector span {

interfaces/AB.css:70:button.comparitor-button {

interfaces/AB.js:10:
interfaces/AB.js:11:

interfaces/AB.js:151:
interfaces/AB.js:152:

// Custom Comparitor Object
Interface.prototype.comparitor = null;
// Populate the comparitor object
interfaceContext.comparitor = new Comparitor(audioHolderObject);

interfaces/AB.js:168:function Comparitor(audioHolderObject)

interfaces/AB.js:170:
interfaces/AB.js:177:
interfaces/AB.js:179:
interfaces/AB.js:181:
interfaces/AB.js:186:
interfaces/AB.js:205:
interfaces/AB.js:207:
interfaces/AB.js:209:
interfaces/AB.js:211:
interfaces/AB.js:255:
interfaces/AB.js:285:
interfaces/AB.js:297:
interfaces/AB.js:299:
interfaces/AB.js:308:

this.comparitorBox = function(audioElement,id,text)
this.box.className = 'comparitor-holder’;
this.box.id = 'comparitor-"+text;
this.selector.className = 'comparitor-selector disabled’;
this.playback.className = 'comparitor-button’;
$(".comparitor-selector").removeClass('selected');
interfaceContext.comparitor.selected = id;
for (var i=0; i<interfaceContext.comparitor.comparitors.length; i++)
var obj = interfaceContext.comparitor.comparitorsil;
$('.comparitor-button’).text('Listen’);
this.comparitors = [J;
var node = new this.comparitorBox(audioObject,index,String.fromCharCode(65 + index));
this.comparitors.push(node);
var numObj = interfaceContext.comparitor.comparitors.length;

History

#1 - 2016-02-22 02:39 PM - Nicholas Jillings
- Status changed from New to Resolved

The dangers of assisted IDEs.... thanks!

#2 - 2016-02-22 02:42 PM - Giulio Moro

Well on the up side, an IDE should allow refactoring without using search and replace or sed
